New: French documentation now available! Switch to French
curl --request POST \
--url https://api.txcloud.io/v1/watchlist/screen \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": {
"type": "individual",
"name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"country_of_residence": "<string>",
"document_number": "<string>",
"registration_number": "<string>"
},
"lists": [
"sanctions"
],
"threshold": 0.85,
"include_aliases": true,
"fuzziness": "exact"
}
'{
"id": "<string>",
"object": "<string>",
"status": "clear",
"hits": 123,
"entity": {},
"matches": [
{
"id": "<string>",
"list": "<string>",
"score": 123,
"status": "<string>",
"matched_entity": {},
"match_details": {}
}
],
"screened_against": [
{}
],
"risk_level": "<string>",
"processing_time_ms": 123
}curl --request POST \
--url https://api.txcloud.io/v1/watchlist/screen \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": {
"type": "individual",
"name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"country_of_residence": "<string>",
"document_number": "<string>",
"registration_number": "<string>"
},
"lists": [
"sanctions"
],
"threshold": 0.85,
"include_aliases": true,
"fuzziness": "exact"
}
'{
"id": "<string>",
"object": "<string>",
"status": "clear",
"hits": 123,
"entity": {},
"matches": [
{
"id": "<string>",
"list": "<string>",
"score": 123,
"status": "<string>",
"matched_entity": {},
"match_details": {}
}
],
"screened_against": [
{}
],
"risk_level": "<string>",
"processing_time_ms": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.